camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From MEL <MEL_Lang...@yahoo.co.uk>
Subject camel-servlet is no-longer working in 2.16.1 (works in 2.15.3 and 2.16.0)
Date Mon, 30 Nov 2015 14:14:23 GMT
I am using the camel-servlet component, in an app hosted in tomcat, to
trigger a route via a URL such as this

http://localhost:9090/appcontext/triggerimport/

When upgrading to 2.16.1 the URL fails to trigger the route;  the URL works
if I downgrade to 2.15.3 or 2.16.0 (looks like CAMEL-9263 may have
introduced the issue)




web.xml


	<servlet>
		<servlet-name>MyTriggerImportServlet</servlet-name>
		<display-name>Trigger import of JArchive content</display-name>
	
<servlet-class>org.apache.camel.component.servlet.CamelHttpTransportServlet</servlet-class>
		<load-on-startup>2</load-on-startup>
		<init-param>
			<param-name>ignoreDuplicateServletName</param-name>
			<param-value>true</param-value>
		</init-param>
	</servlet>
	
	
	<servlet-mapping>
		<servlet-name>MyTriggerImportServlet</servlet-name>
		<url-pattern>/triggerimport/*</url-pattern>
	</servlet-mapping>
	
	
	
camel-config.xml

		<route id="jarchive-import-rest-service">
			<from
uri="servlet://jarchive?servletName=MyTriggerImportServlet&amp;matchOnUriPrefix=true"
/>
			<to uri="direct:handlenotifications" pattern="OutIn" />
		</route>
	
	





--
View this message in context: http://camel.465427.n5.nabble.com/camel-servlet-is-no-longer-working-in-2-16-1-works-in-2-15-3-and-2-16-0-tp5774558.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message